<?
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
include "functions.php3";
CheckHabilitation("Admin",$currenttopic);
include "menu.php3";

?>
<form method="post" action="settingsupdate.php3">
<input name="comefrom" type="hidden" value="sitesettings">
<?
  $tab = GetUserSettings("sitesettings.php3");
  $taille = sizeof($tab);


  $tplArt = new FastTemplate("templates/lnf"); 
  $tplArt->define( array( table      => "table.tpl", 
                          row        => "row.tpl", 
                          line       => "line.tpl", 
                          colour0    => "colour0.tpl",
                          colour1    => "colour1.tpl",
                          colour2    => "colour2.tpl",
                          td         => "td.tpl") ); 

  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["siteoptions"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT," ");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,"row");

  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["option"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["value"]."</b>");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  for ($i=1; $i < $taille-1; $i++)
  {   

      $subtab = explode("=",$tab[$i]);

      switch ($subtab[0])
      {
       case '$url':
            $tplArt->assign(LNF_TD_WIDTH,"30%");
            $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["url"]);
            $tplArt->parse(LNF_ROW,"td");
            $tplArt->assign(LNF_TD_WIDTH,"70%");
            $tplArt->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"newurl\" SIZE=\"60\" MAXLENGTH=\"60\" value=$subtab[1]>");
            $tplArt->parse(LNF_ROW,".td");
            $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt->parse(LNF_TABLE_ROWS,".row");
            break;

       case '$title':
            $tplArt->assign(LNF_TD_WIDTH,"30%");
            $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["title"]);
            $tplArt->parse(LNF_ROW,"td");
            $tplArt->assign(LNF_TD_WIDTH,"70%");
            $tplArt->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"newtitle\" SIZE=\"60\" MAXLENGTH=\"60\" value=\"$subtab[1]\">");
            $tplArt->parse(LNF_ROW,".td");
            $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$way':
            $tplArt->assign(LNF_TD_WIDTH,"30%");
            $tplArt->assign(LNF_TD_CONTENT,$display[$lang]["sitebehavior"]);
            $tplArt->parse(LNF_ROW,"td");
            $tplArt->assign(LNF_TD_WIDTH,"70%");

            if($way==0)
                $tplArt->assign(LNF_TD_CONTENT,"<input type=\"RADIO\" name=\"newway\" value=\"0\" CHECKED> ". $display[$lang]["forum"] . "\n" . "<input type=\"RADIO\" name=\"newway\" value=\"1\">" . $display[$lang]["newssystem"] . "\n");
			else
              $tplArt->assign(LNF_TD_CONTENT,"<input type=\"RADIO\" name=\"newway\" value=\"0\">" . $display[$lang]["forum"] . "\n" . "<input type=\"RADIO\" name=\"newway\" value=\"1\" CHECKED> " . $display[$lang]["newssystem"] . "\n");

            $tplArt->parse(LNF_ROW,".td");
            $tplArt->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt->parse(LNF_TABLE_ROWS,".row");
            break;

	   default:
            break;
      }
  }

  $tplArt->assign(LNF_TD_WIDTH,"30%");
  $tplArt->assign(LNF_TD_CONTENT," ");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"70%");
  $tplArt->assign(LNF_TD_CONTENT,"<input type=\"submit\" name=\"submit\" value=\"". $display[$lang]["send"]."\">");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");
    
  $tplArt->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);
?>


</form>

<p>

<form method="post" action="settingsupdate.php3">
<input name="comefrom" type="hidden" value="topicsettings">
<?      
  if ($way==0) // forum attitude
     $tab = GetUserSettings("news/$currenttopic-usersettings.php3");
  else // News system attitude
     $tab = GetUserSettings("usersettings.php3");

  $taille = sizeof($tab);

  $tplArt2 = new FastTemplate("templates/lnf"); 
  $tplArt2->define( array( table      => "table.tpl", 
                          row        => "row.tpl", 
                          line       => "line.tpl", 
                          colour0    => "colour0.tpl",
                          colour1    => "colour1.tpl",
                          colour2    => "colour2.tpl",
                          td         => "td.tpl") ); 

  $tplArt2->assign(LNF_TD_WIDTH,"30%");
  $tplArt2->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["topicoptions"]."</b>");
  $tplArt2->parse(LNF_ROW,"td");
  $tplArt2->assign(LNF_TD_WIDTH,"70%");

  if ($way==0) // forums behaviour 
     $tplArt2->assign(LNF_TD_CONTENT,"<b>" . $currenttopic . "</b>");
  else         // news system behaviour
     $tplArt2->assign(LNF_TD_CONTENT," ");

  $tplArt2->parse(LNF_ROW,".td");
  $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt2->parse(LNF_TABLE_ROWS,"row");

  $tplArt2->assign(LNF_TD_WIDTH,"30%");
  $tplArt2->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["option"]."</b>");
  $tplArt2->parse(LNF_ROW,"td");
  $tplArt2->assign(LNF_TD_WIDTH,"70%");
  $tplArt2->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["value"]."</b>");
  $tplArt2->parse(LNF_ROW,".td");
  $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt2->parse(LNF_TABLE_ROWS,".row");

  for ($i=1; $i < $taille-1; $i++)
  {   

      $subtab = explode("=",$tab[$i]);
      switch ($subtab[0])
      {
       case '$lang':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["language"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
            $tplArt2->assign(LNF_TD_CONTENT,DisplayLang());
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

       case '$emailmod':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["moderatoremail"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
            $tplArt2->assign(LNF_TD_CONTENT,"<input type=\"text\" name=\"newemailmod\" SIZE=\"60\" MAXLENGTH=\"60\" value=$subtab[1]>");
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$font':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["font"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newfont\" size=1>\n";

            $taillefonts=sizeof($fonts);
            for($k=0;$k<$taillefonts;$k++)
            {
               if ($fonts[$k]!=$font)
                  $line = $line . "<option value=\"" . $fonts[$k] . "\">" . $fonts[$k]. "</option>\n";
			   else
                  $line = $line . "<option selected value=\"" . $fonts[$k] . "\">" . $fonts[$k]. "</option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$newsperpage':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["newsperpage"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newnperpg\" size=1>\n";

            for($j=1;$j<100;$j++)
            {
               if ($j!=$newsperpage)
                  $line = $line . "<option value=$j> $j </option>\n";
			   else
                  $line = $line . "<option selected value=$j> $j </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$answersdepth':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["newsdepth"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newdepth\" size=1>\n";

            for($r=1;$r<11;$r++)
            {
               if ($r!=$answersdepth)
                  $line = $line . "<option value=$r> $r </option>\n";
			   else
                  $line = $line . "<option selected value=$r> $r </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");

            break;

	   case '$linespernews':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["newslength"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newlpernw\" size=1>\n";

            for($k=1;$k<21;$k++)
            {
               if ($k!=$linespernews)
                  $line = $line . "<option value=$k> $k </option>\n";
			   else
                  $line = $line . "<option selected value=$k> $k </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   case '$EnableHtml':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["enablehtml"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newhtml\" size=1>\n";

            if ($EnableHtml==yes)
            {
               $line = $line . "<option selected value=\"yes\"> " . $display[$lang]["yes"] . " </option>\n" . "<option value=\"no\"> " . $display[$lang]["no"] . " </option>\n";
            }
            else
            {
               $line = $line . "<option value=\"yes\"> " . $display[$lang]["yes"] . " </option>\n" . "<option selected value=\"no\"> " . $display[$lang]["no"] . " </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");

            break;

	   case '$moderate':
            $tplArt2->assign(LNF_TD_WIDTH,"30%");
            $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["moderatedsite"]);
            $tplArt2->parse(LNF_ROW,"td");
            $tplArt2->assign(LNF_TD_WIDTH,"70%");
                     
            $line="<select name=\"newmoderate\" size=1>\n";

            if ($moderate==yes)
            {
               $line = $line . "<option selected value=\"yes\"> " . $display[$lang]["yes"] . " </option>\n" . "<option value=\"no\"> " . $display[$lang]["no"] . " </option>\n";
            }
            else
            {
               $line = $line . "<option value=\"yes\"> " . $display[$lang]["yes"] . " </option>\n" . "<option selected value=\"no\"> " . $display[$lang]["no"] . " </option>\n";
            }

            $line = $line . "</select>\n";
            $tplArt2->assign(LNF_TD_CONTENT,$line);
            $tplArt2->parse(LNF_ROW,".td");
            $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
            $tplArt2->parse(LNF_TABLE_ROWS,".row");
            break;

	   default:

            break;
      }
  }

  if ($way==0) // forums behaviour 
  {
     $fic1=fopen("news/".$currenttopic.".des","r");
     $line=fread($fic1,filesize("news/".$currenttopic.".des"));
     fclose($fic1);
  }
  else // news system behaviour
     $line = "News system parameters.";

  $tplArt2->assign(LNF_TD_WIDTH,"30%");
  $tplArt2->assign(LNF_TD_CONTENT,$display[$lang]["description"]);
  $tplArt2->parse(LNF_ROW,"td");
  $tplArt2->assign(LNF_TD_WIDTH,"70%");
  if ($way==0) // forums behaviour 
    $tplArt2->assign(LNF_TD_CONTENT,"<textarea name=\"description\" rows=3 cols=40 wrap=PHYSICAL>".$line."</textarea> <br>\n");
  else         // news system behaviour
    $tplArt2->assign(LNF_TD_CONTENT,$line);
  $tplArt2->parse(LNF_ROW,".td");
  $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour0");
  $tplArt2->parse(LNF_TABLE_ROWS,".row");
       
  $tplArt2->assign(LNF_TD_WIDTH,"30%");
  $tplArt2->assign(LNF_TD_CONTENT," ");
  $tplArt2->parse(LNF_ROW,"td");
  $tplArt2->assign(LNF_TD_WIDTH,"70%");
  $tplArt2->assign(LNF_TD_CONTENT,"<input type=\"submit\" name=\"submit\" value=\"". $display[$lang]["send"]."\">");
  $tplArt2->parse(LNF_ROW,".td");
  $tplArt2->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt2->parse(LNF_TABLE_ROWS,".row");

  $tplArt2->assign(LNF_TABLE_WIDTH,"95%");
  $tplArt2->parse(FINAL,"table");
  $tplArt2->FastPrint(FINAL);

?>

</form>
<?
include "tail.php3";
?>