<?      
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

  require ("functions.php3");
  if ($comefrom=="sitesettings") 
  {
     CheckHabilitation("Admin",$currenttopic);
     $goto="settingsdisp";
     // this tab allows to know what option has not be set and to set it up
     //  usable when LNF adds new options that are not in previous settings... files.
	 $taboptions = array( "url"  => "no",
	  				      "title" => "no",
						  "way" => "no");
  }
  else
  {
     CheckHabilitation("Admin",$currenttopic);
     $goto="settingsdisp";
     // this tab allows to know what option has not be set and to set it up
	 //  usable when LNF adds new options that are not in previous settings... files.
     $taboptions = array( "lang" => "no", 
	 					  "emailmod" => "no",
						  "font" => "no",
						  "newsperpage" => "no",
						  "linespernews" => "no",
						  "moderate" => "no",
						  "answersdepth" => "no",
						  "EnableHtml" => "no");
  }

  $i=0;

  $url = ereg_replace(" ","",$newurl);   
  $lang = ereg_replace(" ","",$newlang);   
  $newsperpage = ereg_replace(" ","",$newnperpg);   
  $linespernews = ereg_replace(" ","",$newlpernw);   

  if ($comefrom=="sitesettings") 
     $f=fopen("sitesettings.php3","r");
  elseif ($way==0) // forum attitude
         $f=fopen("news/$currenttopic-usersettings.php3","r");
      else // News system attitude
         $f=fopen("usersettings.php3","r");

  $ligne = fgets($f,16000);

  while (!feof($f))
  {
    $ligne1 = ereg_replace(" ","",$ligne);   
    $subtab = explode("=",$ligne1);

    switch ($subtab[0])
    {
     case '$lang':
          $tab[$i] = $subtab[0] . '="';
          $tab[$i] = $tab[$i] . $newlang . "\";\n";
		  $taboptions["lang"]="yes";
          break;

     case '$url':
  	      $newurl = ereg_replace(" ","",$newurl);   
          $tab[$i] = $subtab[0] . "=\"" . $newurl . "\";\n";
		  $taboptions["url"]="yes";
          break;

     case '$emailmod':
	      $newemailmod = ereg_replace(" ","",$newemailmod);   
		  if (($newemailmod != "") && (!ValidEmailAdress($newemailmod)))
		  {
		    $newemailmod = "last_moderator_email_adress_entered_is_incorrect";
		  }
          $tab[$i] = $subtab[0] . "=\"" . $newemailmod . "\";\n";
		  $taboptions["emailmod"]="yes";
          break;

	 case '$title':
          $tab[$i] = $subtab[0] . "=\"" . $newtitle . "\";\n";
		  $taboptions["title"]="yes";
          break;

	 case '$font':
          $tab[$i] = $subtab[0] . "=\"" . $newfont . "\";\n";
		  $taboptions["font"]="yes";
          break;

	 case '$newsperpage':
          $tab[$i] = $subtab[0] . "=" . $newnperpg . ";\n";
		  $taboptions["newsperpage"]="yes";
          break;

	 case '$linespernews':
          $tab[$i] = $subtab[0] . "=" . $newlpernw . ";\n";
		  $taboptions["linespernews"]="yes";
          break;

	 case '$answersdepth':
          $tab[$i] = $subtab[0] . "=" . $newdepth . ";\n";
		  $taboptions["answersdepth"]="yes";
          break;

	 case '$moderate':
          $tab[$i] = $subtab[0] . "=" . $newmoderate . ";\n";
		  $taboptions["moderate"]="yes";
          break;

     case '$EnableHtml':
          $tab[$i] = $subtab[0] . "=" . $newhtml . ";\n";
		  $taboptions["EnableHtml"]="yes";
          break;

     case '$way':
          $tab[$i] = $subtab[0] . "=" . $newway . ";\n";
		  $taboptions["way"]="yes";
          break;

	 default:
          $tab[$i] = $ligne;  
          break;
    }
  
    $i++;
    $ligne = fgets($f,16000);
  }

  fclose($f);

  $i=0;
  // set a default value for each option not set.
  while (list($key, $val) = each($taboptions)) 
  {
    if ($val=="no") 
    {
      switch ($key)
	  {
       case 'lang':
          $tab2[$i] = "\$lang=\"us\"\n";
          break;

       case 'url':
          $tab2[$i] = "\$url=\"http://foo.xyz/lnf/\";\n";
          break;

       case 'emailmod':
          $tab2[$i] = "\$emailmod=\"\";\n";
          break;

	   case 'title':
          $tab2[$i] = "\$title=\"LaNewsFactory powered site\";\n";
          break;

       case 'font':
          $tab2[$i] = "\$font=\"sans-serif\";\n";
          break;

	   case 'newsperpage':
          $tab2[$i] = "\$newsperpage=10;\n";
          break;

	   case 'linespernews':
          $tab2[$i] = "\$linespernews=8;\n";
          break;

	   case 'answersdepth':
          $tab2[$i] = "\$answersdepth=2;\n";
          break;

	   case '$moderate':
          $tab2[$i] = "\$moderate=\"no\";\n";
          break;

       case '$EnableHtml':
          $tab2[$i] = "\$EnableHtml=no;\n";
          break;

       case '$way':
          $tab2[$i] = "\$way=1;\n";
          break;
     }
	 $i++;
	}
  }
 
  $taille  = sizeof($tab);
  $taille2 = sizeof($tab2);

  if ($comefrom=="sitesettings") 
     $fic=fopen("sitesettings.php3","w");
  elseif ($way==0) // forum attitude
  {
     $fic=fopen("news/$currenttopic-usersettings.php3","w");
	 $ficdes=fopen("news/$currenttopic.des","w+");
	 fputs($ficdes,$description);
	 fclose($ficdes);
     $oldumask = umask(0);
     chmod("news/$currenttopic.des",0666);
     umask($oldumask); 
  }
  else // News system attitude
     $fic=fopen("usersettings.php3","w");

  for ($i=0; $i < $taille; $i++)
  {
    // insert in the settings file the missing LNF keywords after the first PHP tag.
    if ($i==1) 
    {
      for ($l=0; $l < $taille2; $l++)
          fputs($fic,"$tab2[$l]");
    }
	fputs($fic,"$tab[$i]");
  }
  fclose($fic);

  header("Location: " . $url . $goto . ".php3");
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");             
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-cache, must-revalidate");           
  header("Pragma: no-cache");                                   
?>