<?
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

  include "functions.php3";

  // read all the file in a variable for faster search 
  $fic1=fopen($art,"r");
  $line=fread($fic1,filesize($art));
  fclose($fic1);

  $tabvers = phpversion();
  switch ($tabvers[0])
  {
    case "4": 
	  // Seek of the beginning and the end of the answer to answer
	  $offsetBOAN = strpos($line,"BOAN#". $ans);  
	  if ($offsetBOAN===false)    
	  {
		 echo "problem with Begin Of Answer";
		 exit;
	  }

	  $offsetEOAN = strpos($line,"EOAN#",$offsetBOAN);
	  if ($offsetEOAN===false) 
	  {
		 echo "problem with End OF Answer-1";
		 exit;
	  }
	  
	  $offsetLEVEL = strpos($line,"#level#",$offsetBOAN+1);  
	  if ($offsetLEVEL===false) 
	  {
		 echo "problem with LEVEL1";
		 exit;
	  }

	  $nextBOAN=$offsetBOAN;
	  $nextLEVEL=$offsetLEVEL;
	  $nextEOAN=$offsetEOAN;

	  $ok=1;
	  while ($ok==1) 
	  {
		$tempBOAN = strpos($line,"BOAN#",$nextBOAN+1);  
		if ($tempBOAN===false) 
		{
		   $ok=2;
		   continue;
		}
	 
		$tempEOAN = strpos($line,"EOAN#",$nextEOAN+1);  
		if ($tempEOAN===false) 
		{
		   $ok=3;
		   continue;
		}

		$tempLEVEL = strpos($line,"#level#",$tempBOAN+1);  
		if ($tempLEVEL===false) 
		{
		   $ok=4;
		   continue;
		}
		else  
		{
		   $lastsharp=strpos($line,"#",$tempLEVEL+7);
		   $extractedlevel=substr($line,$tempLEVEL+7,$lastsharp-($tempLEVEL+7));

		   if ($extractedlevel<$level) 
		   {
			  $ok=5;
			  continue;
		   }
		   
		   $nextLEVEL=$tempLEVEL;
		   $nextBOAN=$tempBOAN;
		   $nextEOAN=$tempEOAN;
		}
	  }
      break;

	case "else":
	  // Seek of the beginning and the end of the answer to answer
	  $offsetBOAN = strpos($line,"BOAN#". $ans);  
	  if (is_string ($offsetBOAN) && !$offsetBOAN)    
	  {
		 echo "problem with Begin Of Answer";
		 exit;
	  }

	  $offsetEOAN = strpos($line,"EOAN#",$offsetBOAN);
	  if (is_string ($offsetEOAN) && !$offsetEOAN) 
	  {
		 echo "problem with End OF Answer-1";
		 exit;
	  }
	  
	  $offsetLEVEL = strpos($line,"#level#",$offsetBOAN+1);  
	  if (is_string ($offsetLEVEL) && !$offsetLEVEL) 
	  {
		 echo "problem with LEVEL1";
		 exit;
	  }

	  $nextBOAN=$offsetBOAN;
	  $nextLEVEL=$offsetLEVEL;
	  $nextEOAN=$offsetEOAN;

	  $ok=1;
	  while ($ok==1) 
	  {
		$tempBOAN = strpos($line,"BOAN#",$nextBOAN+1);  
		if (is_string ($tempBOAN) && !$tempBOAN) 
		{
		   $ok=2;
		   continue;
		}
	 
		$tempEOAN = strpos($line,"EOAN#",$nextEOAN+1);  
		if (is_string ($tempEOAN) && !$tempEOAN) 
		{
		   $ok=3;
		   continue;
		}

		$tempLEVEL = strpos($line,"#level#",$tempBOAN+1);  
		if (is_string ($tempLEVEL) && !$tempLEVEL) 
		{
		   $ok=4;
		   continue;
		}
		else  
		{
		   $lastsharp=strpos($line,"#",$tempLEVEL+7);
		   $extractedlevel=substr($line,$tempLEVEL+7,$lastsharp-($tempLEVEL+7));

		   if ($extractedlevel<$level) 
		   {
			  $ok=5;
			  continue;
		   }
		   
		   $nextLEVEL=$tempLEVEL;
		   $nextBOAN=$tempBOAN;
		   $nextEOAN=$tempEOAN;
		}
	  }
	  break;
  }


  $firstpart=substr($line,0,$nextEOAN+6);
  $lastpart=substr($line,$nextEOAN+6);

  $dateinfic = getdateaffichage();
  $datefic = getdatefichier();

  //backup file
  $fic2=fopen($art.".bak","w+");
  fputs($fic2,$line);
  fclose($fic2);

  $fic=fopen($art,"w+");

  // write first part of the original message
  fputs($fic,$firstpart);

  //write the answer at the right place in the message 
  fputs($fic,"BOAN#" . StripReservedWords($nom) ."-" . $datefic . "#level#" . $level ."#\n");
  $email = ereg_replace("@","_at_",$email);   
  fputs($fic,"email#". StripReservedWords($email) . "\n");
  fputs($fic,"nom#" . StripReservedWords($nom) . "\n");
  fputs($fic,"date#$dateinfic\n");
  fputs($fic,"rep#\n" . StripReservedWords($article) . "\n");
  fputs($fic,"EOAN#\n");

  // write the second part of the original message
  fputs($fic,$lastpart);

  fclose($fic);

  // delete the backup file.
  unlink($art . ".bak");

  header("Location: " . $url . "print.php3?art=" . $art);

?>