<?
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
include "functions.php3";
CheckHabilitation("Moderator",$currenttopic);
include "menu.php3";

if (($way==1)&&($currenttopic=="AllTopics")) 
  $tab = ListDirInArray(".art","news");
else
  $tab = ListDirInArray("-$currenttopic.art","news");

if (sizeof($tab) >0) 
{
  rsort($tab);
  $limit = sizeof($tab);

  print "<form method=\"post\" action=\"manmod.php3\">";
  print "<input type=\"hidden\" name=\"comefrom\" value=\"manage\">";

  $tplArt = new FastTemplate("templates/lnf"); 
  $tplArt->define( array( table      => "table.tpl", 
                          row        => "row.tpl", 
                          line       => "line.tpl", 
                          colour0    => "colour0.tpl",
                          colour1    => "colour1.tpl",
                          colour2    => "colour2.tpl",
                          td         => "td.tpl") ); 

  $tplArt->assign(LNF_TD_WIDTH,"50%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["newsmanagement"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"25%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->assign(LNF_TD_WIDTH,"25%");
  $tplArt->assign(LNF_TD_CONTENT,"&nbsp");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  $tplArt->assign(LNF_TD_WIDTH,"50%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["title"]."</b>");
  $tplArt->parse(LNF_ROW,"td");
  $tplArt->assign(LNF_TD_WIDTH,"25%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["author"]."</b>");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->assign(LNF_TD_WIDTH,"25%");
  $tplArt->assign(LNF_TD_CONTENT,"<b>".$display[$lang]["postdate"]."</b>");
  $tplArt->parse(LNF_ROW,".td");
  $tplArt->parse(LNF_BACKGROUND_COLOR,"colour2");
  $tplArt->parse(LNF_TABLE_ROWS,".row");

  $indcolor=0;
  for($i=0; $i<$limit; $i++)
  {
     
     $rtab=DisplayShortMod("news/".$tab[$i],$i,1,"managenews.php3");

     $tplArt->assign(LNF_TD_WIDTH,"50%");
     $tplArt->assign(LNF_TD_CONTENT,$rtab[0]);
     $tplArt->parse(LNF_ROW,"td");
     $tplArt->assign(LNF_TD_WIDTH,"25%");
     $tplArt->assign(LNF_TD_CONTENT,$rtab[1]);
     $tplArt->parse(LNF_ROW,".td");
     $tplArt->assign(LNF_TD_WIDTH,"25%");
     $tplArt->assign(LNF_TD_CONTENT,$rtab[2]);
     $tplArt->parse(LNF_ROW,".td");
     $tplArt->parse(LNF_BACKGROUND_COLOR,"colour".$indcolor);
     $tplArt->parse(LNF_TABLE_ROWS,".row");
     if ($indcolor==0) 
        $indcolor=1;
     else
        $indcolor=0;
     
  }
  
  $tplArt->assign(LNF_TABLE_WIDTH,"95%");
$tplArt->parse(FINAL,"table");
  $tplArt->FastPrint(FINAL);

  print "<p><center><input type=\"submit\" name=\"submit\" value=\"".$display[$lang]["deletenews"]."\"></center>";
  print "</form>";

}
else
  echo $display[$lang]["nonews"] . ".";

include "tail.php3";
?>