<?
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

  include "class.FastTemplate.php3"; 

  $tpl = new FastTemplate("templates/lnf"); 
  $tpl->define( array( head      => "head.tpl", 
                       search    => "search.tpl", 
                       comment   => "comment.tpl",
                       menuitem  => "link.tpl") ); 

  $tpl->assign(LNF_FONT,                $font);
  $tpl->assign(LNF_TITLE,               $title);
  $tpl->assign(LNF_URL,                 $url);
  $tpl->assign(LNF_HOME_DISPLAY,        $display[$lang]["welcomeforum"]);
  $tpl->assign(LNF_ADMIN_DISPLAY,       $display[$lang]["admin"]);
  $tpl->assign(LNF_LOGOUT_DISPLAY,      $display[$lang]["disconnect"]);

 // Don't allow to search when you don't have select a current topic in a forums site
  if (($currenttopic!="AllTopics") || ($way==1)) 
  {
     $tpl->assign(LNF_SEARCH_DISPLAY, $display[$lang]["search"]);
     $tpl->parse(LNF_SEARCH, "search"); 
  }
  else
  {
     $tpl->assign(LNF_COMMENT_TEXT, "no search when no topic is selected in a forum site");
     $tpl->parse(LNF_SEARCH, "comment"); 
  }

  // Don't allow to post a news when 
  // . you don't have select a current topic in a forums site
  // or
  // . no topic exists in all cases

  $listtop=ListDirInArray(".top", $pathname="news");
  $taillelist=sizeof($listtop);

  if (($currenttopic!="AllTopics") || (($way==1)&&($taillelist>0))) 
  {
     $tpl->assign(LNF_LINK, "contrib.php3"); 
     $tpl->assign(LNF_DISPLAY, $display[$lang]["writeanews"]); 
     $tpl->parse(LNF_CONTRIB, "menuitem"); 
  }
  else
  {
     $tpl->assign(LNF_COMMENT_TEXT, "no contrib when no topic is selected in a forum site or when no topic exist at all");
     $tpl->parse(LNF_CONTRIB, "comment"); 
  }
 
  if (($way==1) && ($currenttopic=="AllTopics"))
      $tab=ListDirInArray(".art", $pathname="news/mod");
  else
      $tab=ListDirInArray("-$currenttopic.art", $pathname="news/mod");

  $taille=sizeof($tab);

  // Displays the moderation status for the current topic
  if ($moderate == yes)
  {
     $tpl->assign(LNF_MOD_IMAGE, "mode.png"); 
     $tpl->assign(LNF_MOD_STATUS, $display[$lang]["moderatedsite"]); 
  }
  else
  {
     $tpl->assign(LNF_MOD_IMAGE, "notmode.png"); 
     $tpl->assign(LNF_MOD_STATUS, $display[$lang]["unmoderatedsite"]); 
  }

  // Displays the number of news up to moderation
  $tpl->assign(LNF_MOD_NUM, $taille); 
   
  if ($way == 0) // Forum attitude
      $currenttop = "news/" . $currenttopic;
  else           // News system attitude
      $currenttop = "news";


  $tpl->assign(LNF_COMMENT_TEXT, "start to display habilitations");
  $tpl->parse(LNF_HABILITATIONS, "comment"); 
  if ($Admin == ReadPassword()) 
  {
	$tpl->assign(LNF_LINK, "createtopic.php3"); 
    $tpl->assign(LNF_DISPLAY, $display[$lang]["topiccreation"]); 
    $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
	$tpl->assign(LNF_LINK, "deletetopic.php3"); 
    $tpl->assign(LNF_DISPLAY, $display[$lang]["deletetopic"]); 
    $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
//	$tpl->assign(LNF_LINK, "sitesettingsdisp.php3"); 
//    $tpl->assign(LNF_DISPLAY, $display[$lang]["siteoptions"]); 
//    $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
    
	if (($currenttopic!="AllTopics") || ($way==1)) 
	{
       $tpl->assign(LNF_LINK, "settingsdisp.php3"); 
       $tpl->assign(LNF_DISPLAY, $display[$lang]["options"]); 
       $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
       $tpl->assign(LNF_LINK, "listmod.php3"); 
       $tpl->assign(LNF_DISPLAY, $display[$lang]["moderation"]); 
       $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
       $tpl->assign(LNF_LINK, "listnews.php3"); 
       $tpl->assign(LNF_DISPLAY, $display[$lang]["newsmanagement"]); 
       $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
       $tpl->assign(LNF_LINK, "chpasswd.php3"); 
       $tpl->assign(LNF_DISPLAY, $display[$lang]["changepassword"]); 
       $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
	}
  }
  else
  {
    if ($currenttopic!="AllTopics") 
    {
/*     if (($TopicAdmin == ReadPassword("$currenttop-pass.php3"))&&($way==0))
     {
       $tpl->assign(LNF_LINK, "settingsdisp.php3"); 
       $tpl->assign(LNF_DISPLAY, $display[$lang]["topicoptions"]); 
       $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
       $tpl->assign(LNF_LINK, "listmod.php3"); 
       $tpl->assign(LNF_DISPLAY, $display[$lang]["moderation"]); 
       $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
       $tpl->assign(LNF_LINK, "listnews.php3"); 
       $tpl->assign(LNF_DISPLAY, $display[$lang]["newsmanagement"]); 
       $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
       $tpl->assign(LNF_LINK, "chpasswd.php3"); 
       $tpl->assign(LNF_DISPLAY, $display[$lang]["changepassword"]); 
       $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
     }
*/  }
    else
	{
      if ($currenttopic!="AllTopics") 
      {
       if ($Moderator == ReadPassword("$currenttop-modpass.php3")) 
	   {
          $tpl->assign(LNF_LINK, "listmod.php3"); 
          $tpl->assign(LNF_DISPLAY, $display[$lang]["moderation"]); 
          $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
          $tpl->assign(LNF_LINK, "listnews.php3"); 
          $tpl->assign(LNF_DISPLAY, $display[$lang]["newsmanagement"]); 
          $tpl->parse(LNF_HABILITATIONS, ".menuitem"); 
	   }
      }
    }
  }
  // Display topics.  

  $tpl->assign(LNF_COMMENT_TEXT, "start to display topics");
  $tpl->parse(LNF_TOPICS, "comment"); 

  if ($way==1) // News system attitude
  {
     $tpl->assign(LNF_LINK, "listdir.php3?top=AllTopics"); 
     if ($currenttopic=="AllTopics")
	     $tpl->assign(LNF_DISPLAY, "<b>" . $display[$lang]["alltopics"] . "</b>");
	 else
	     $tpl->assign(LNF_DISPLAY, $display[$lang]["alltopics"]);
     $tpl->parse(LNF_TOPICS, ".menuitem"); 
  }
 
  $tab=ListDirInArray(".top", "news");
  $taille=sizeof($tab);

  for ($ind=0; $ind < $taille; $ind++) 
  {   
      $tab2 = explode(".top",$tab[$ind]);
  
	  $tpl->assign(LNF_LINK, "listdir.php3?top=". $tab2[0]); 
      if ($currenttopic==$tab2[0])
         $tpl->assign(LNF_DISPLAY, "<b>" . $tab2[0] . "</b>");
      else
         $tpl->assign(LNF_DISPLAY, $tab2[0]);
      
	  $tpl->parse(LNF_TOPICS, ".menuitem"); 
  }
   
  $tpl->parse(FINAL, "head"); 
  $tpl->FastPrint(FINAL); 
?>