<?
//    LaNewsFactory - web news engine written in PHP
//    Copyright (C) 2000 Christophe Brocas - christophe.brocas@free.fr
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
header("Content-Type: text/plain");

include "functions.php3";

// Displays the news without answers in rdf format
//
function DisplayJustRDFArticle($path,$index)
{

global $lang, $display, $colour, $url;

$f=fopen("$path","r");

$nbcar=0;
$nblignes=0;
$index=0;
$lastanswer="";
$lastname="";
$answers=0;
$exit=0;

$index = $index + 1;
echo "<item rdf:about=\"". $url . "print.php3?art=$path\" position=\"$index\">\n" ;
echo "  <inchannel rdf:resource=\"" . $url . "\"/>\n";
echo "  <link>" . $url . "print.php3?art=$path</link>\n";

$ligne = fgets($f,16000);

while (!feof($f))
{
   $ligne = ereg_replace("\n", "", $ligne);   
   $ligne = ereg_replace("<[^>]+>", "", $ligne);
   $tab = explode("#",$ligne);
   switch ($tab[0])
   {
     case "version":
       break;

	 case "titre":
       echo "  <title>" . stripslashes($tab[1]) . "</title>\n";

       if ($index==0)
          $index = 1;
       else
          $index = 0;

       break;

     case "email":
       $tab[1] = ereg_replace("@","_at_",$tab[1]);
       break;

     case "nom":
       break;

     case "date":
       break;

     case "corps":
       echo "  <description>\n";
       break;

     case "EOAR":
       $exit = 1;
       break;

     default:
       $nblignes = $nblignes + 1;

       if (($nbcar + strlen($ligne)) > 250)
       {
          $lig = substr($ligne,0,100 - $nbcar);
          echo "     " . stripslashes($lig) . " ... ";
          $exit = 1;
       }
       elseif ($lignes > 6)
       {
          echo "   ...  ";
          $exit = 1;
       }
       else
       {
          $nbcar  = $nbcar + strlen($ligne);
          $lignes = $lignes + 1;
          if ($lignes == 1)
             echo stripslashes($ligne);
          else
             echo "\n". stripslashes($ligne);
       }
 
       break;

   }

   $ligne = fgets($f,16000); 
   if ($exit == 1)
      break;
}

echo "\n  </description>\n</item>\n\n";

fclose($f);

}


echo "<?xml version=\"1.0\"?>\n";
?>
<rdf:RDF xmlns:rdf="http://www.w3c.org/1999/02/22-rdf-syntax-ns#" xmlns="http://purl.org/rss/1.0/">
			 
<channel rdf:about="<?echo $url?>">
	<title><?echo $title?></title>
	<link><?echo $url?></link>
	<description><?echo $title?></description>
</channel>

<?

$tab = ListDirInArray(".art");

$taille = sizeof($tab);

if ($taille > 0) 
{
	rsort($tab);

	$newsperpage = 15;
	if($newsperpage > $taille) $newsperpage = $taille;

	for($i=0; $i<$newsperpage; $i++)
		DisplayJustRDFArticle("news/".$tab[$i],$i);
}

?>

</rdf:RDF>